Get New Customers
curl --request GET \
--url https://app.dimepayments.com/api/zapier/new-customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dimepayments.com/api/zapier/new-customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dimepayments.com/api/zapier/new-customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"first_name": "John",
"last_name": "Doe",
"phone": "1234567890",
"email": "email@email.com",
"addr1": "123 Main St",
"addr2": "",
"addr3": "",
"city": "Anytown",
"state": "CA",
"zip": "12345",
"country": "US"
}
]
}{
"message": "Unauthorized"
}{
"message": "Merchant not found"
}Zapier
Get New Customers
Get a list of all new customers since the last time it was checked.
GET
/
api
/
zapier
/
new-customers
Get New Customers
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Response
Successful Listing
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"first_name": "John",
"last_name": "Doe",
"phone": "1234567890",
"email": "email@email.com",
"addr1": "123 Main St",
"addr2": "",
"addr3": "",
"city": "Anytown",
"state": "CA",
"zip": "12345",
"country": "US"
}
]
⌘I

